declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE TK_PASSAGEIRO (
       TKPASSAGEIRO_ID      NUMBER(7) NOT NULL,
       ACTIVO               NUMBER(1) NULL,
       FECMODIF             DATE NULL,
       USUARIO_ID           NUMBER(7) NULL,
       NOMBPASAJERO         VARCHAR2(180) NULL,
       DESCNUMDOC           VARCHAR2(45) NULL,
       BOLETO_ID            NUMBER(15) NULL,
       TRANSACAOKONDUTO_ID  NUMBER(7) NULL,
       DADOSSERVICO         VARCHAR2(30) NULL,
       NUMSERVICO           VARCHAR2(7) NULL,
       PRIMARY KEY (TKPASSAGEIRO_ID), 
       FOREIGN KEY (TRANSACAOKONDUTO_ID)
                             REFERENCES TRANSACAO_KONDUTO, 
       FOREIGN KEY (BOLETO_ID)
                             REFERENCES BOLETO, 
       FOREIGN KEY (USUARIO_ID)
                             REFERENCES USUARIO
	)';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE TK_FORMAPAGO (
       TKFORMAPAGO_ID       NUMBER(7) NOT NULL,
       ACTIVO               NUMBER(1) NULL,
       FECMODIF             DATE NULL,
       USUARIO_ID           NUMBER(7) NULL,
       QTDE_PARCELAS        NUMBER(3) NULL,
       MESANO_TARJETA       VARCHAR2(6) NULL,
       PRIMEIROS_SEIS_DIGITOS_TARJETA VARCHAR2(6) NULL,
       ULTIMOS_QUATRO_DIGITOS_TARJETA VARCHAR2(4) NULL,
       VALOR                NUMBER(7,2) NULL,
       NSU                  VARCHAR2(45) NULL,
       NUMAUTORIZACION      VARCHAR2(45) NULL,
       NOMECLIENTE          VARCHAR2(60) NULL,
       TIPO                 VARCHAR2(10) NULL,
       TRANSACAOKONDUTO_ID  NUMBER(7) NULL,
       PRIMARY KEY (TKFORMAPAGO_ID), 
       FOREIGN KEY (TRANSACAOKONDUTO_ID)
                             REFERENCES TRANSACAO_KONDUTO, 
       FOREIGN KEY (USUARIO_ID)
                             REFERENCES USUARIO
	)';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE TKPASSAGEIRO_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 9999999 MINVALUE 1 NOCYCLE CACHE 20 NOORDER';	
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE TKFORMAPAGO_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 9999999 MINVALUE 1 NOCYCLE CACHE 20 NOORDER';	
  exception when object_exists then null;
end;