declare
begin
	execute immediate 'INSERT INTO FUNCION_SISTEMA (FUNCIONSISTEMA_ID, SISTEMA_ID, NOMBFUNCION, DESCRUTA, ACTIVO, FECMODIF, USUARIO_ID) VALUES (FUNCION_SISTEMA_SEQ.nextVal, 1, ''ADM > ADM. DE PRECO > ALTERACAO DE PRECO - EMBARCADA'', ''COM.RJCONSULTORES.ADMINISTRACION.GUI.TARIFAS.MENU.TARIFAEMBARCADA'', 1, SYSDATE, 1)';
    exception when others then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
	execute immediate 'CREATE SEQUENCE TARIFA_EMBARCADA_SEQ INCREMENT BY 1 START WITH 1 NOCYCLE';
	exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
	execute immediate 'CREATE SEQUENCE TARIFA_EMBARCADA_HIST_SEQ INCREMENT BY 1 START WITH 1 NOCYCLE';
	exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
	execute immediate 'CREATE TABLE TARIFA_EMBARCADA (
						TARIFAEMBARCADA_ID NUMBER(15,0) NOT NULL,
						PRECIO NUMBER(10,2), 
						PRECIOREDABIERTO NUMBER(7,2), 
						TRAMO_ID NUMBER(7,0), 
						MARCA_ID NUMBER(3,0), 
						CLASESERVICIO_ID NUMBER(2,0), 
						PRECIOORIGINAL NUMBER(10,2), 
						MONEDA_ID NUMBER(7,0), 
						VIGENCIATARIFA_ID NUMBER(7,0), 
						STATUSTARIFA VARCHAR2(3 BYTE), 
						ACTIVO NUMBER(1,0), 
						FECMODIF DATE, 
						USUARIO_ID NUMBER(7,0), 
						IMPORTETAXAEMBARQUE NUMBER(7,2), 
						IMPORTEPEDAGIO NUMBER(7,2), 
						IMPORTEOUTROS NUMBER(7,2), 
						IMPORTESEGURO NUMBER(7,2), 
						ORGAOCONCEDENTE_ID NUMBER(7,2), 
						RUTA_ID NUMBER(7,0), 
						ORIGEN_ID NUMBER(7,0), 
						DESTINO_ID NUMBER(7,0), 
						INTEGRADOTOTVS NUMBER(1,0) DEFAULT 1, 
						IMPORTETPP NUMBER(7,2),	
						PRIMARY KEY (TARIFAEMBARCADA_ID),
						FOREIGN KEY (TRAMO_ID) REFERENCES TRAMO,
						FOREIGN KEY (MARCA_ID) REFERENCES MARCA,
						FOREIGN KEY (CLASESERVICIO_ID) REFERENCES CLASE_SERVICIO,
						FOREIGN KEY (MONEDA_ID) REFERENCES MONEDA,
						FOREIGN KEY (VIGENCIATARIFA_ID) REFERENCES VIGENCIA_TARIFA,
						FOREIGN KEY (ORGAOCONCEDENTE_ID) REFERENCES ORGAO_CONCEDENTE,
						FOREIGN KEY (RUTA_ID) REFERENCES RUTA,
						FOREIGN KEY (ORIGEN_ID) REFERENCES PARADA,
						FOREIGN KEY (DESTINO_ID) REFERENCES PARADA)';
	exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
	execute immediate 'CREATE TABLE TARIFA_EMBARCADA_HIST (
						TARIFAEMBARCADAHIST_ID NUMBER(15,0) NOT NULL,
						PRECIO NUMBER(10,2),
						PRECIOREDABIERTO NUMBER(7,2),
						PRECIOORIGINAL NUMBER(10,2),
						STATUSTARIFA VARCHAR2(1 BYTE),
						MONEDA_ID NUMBER(7,0),
						CLASESERVICIO_ID NUMBER(2,0),
						MARCA_ID NUMBER(3,0),
						VIGENCIATARIFA_ID NUMBER(7,0),
						ACTIVO NUMBER(1,0),
						FECMODIF DATE,
						USUARIO_ID NUMBER(7,0),
						PRIMARY KEY (TARIFAEMBARCADAHIST_ID),
						FOREIGN KEY (MONEDA_ID) REFERENCES MONEDA,
						FOREIGN KEY (CLASESERVICIO_ID) REFERENCES CLASE_SERVICIO,
						FOREIGN KEY (MARCA_ID) REFERENCES MARCA,
						FOREIGN KEY (VIGENCIATARIFA_ID) REFERENCES VIGENCIA_TARIFA)';
	exception when object_exists then null;
end;