declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE "MACON_VDA_SEQ" INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';	
  exception when object_exists then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE "MACON_VDA_MANUAL_SEQ" INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';	
  exception when object_exists then null;
end;
/

declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE BOLETO ADD (NUM_MACON VARCHAR2(9))';
    exception when column_exists then null;
end;
/

declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE BOLETO ADD (NUMSERIE_MACON VARCHAR2(4))';
    exception when column_exists then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
'CREATE TABLE CTRL_SERIE_MACON 
(
  CTRLSERIEMACON_ID NUMBER(7) NOT NULL 
, NUMSERIE VARCHAR2(4) NOT NULL 
, EMPRESA_ID NUMBER(7) 
, FECMODIF DATE 
, USUARIO_ID NUMBER(7) 
, ACTIVO NUMBER(1) 
, CONSTRAINT CTRL_SERIE_MACON_PK PRIMARY KEY 
  (
    CTRLSERIEMACON_ID 
  )
  ENABLE 
)';
  exception when object_exists then null;
end;
/
declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE CAJA ADD (NUM_MACON VARCHAR2(9))';
    exception when column_exists then null;
end;
/

declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE CAJA ADD (NUMSERIE_MACON VARCHAR2(4))';
    exception when column_exists then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE "MACON_CANCEL_SEQ" INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';	
  exception when object_exists then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE "MACON_SEQ" INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';	
  exception when object_exists then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
'CREATE TABLE MACON 
(
  MACON_ID NUMBER(7) NOT NULL 
, BOLETO_ID NUMBER(15)
, INVOICEDATE VARCHAR2(20)
, SYSTEMENTRYDATE VARCHAR2(20)
, INVOICENO VARCHAR2(20)
, GROSSTOTAL NUMBER(10,2)
, HASH VARCHAR2(172)
, EMPRESA_ID NUMBER(7) 
, FECMODIF DATE 
, USUARIO_ID NUMBER(7) 
, ACTIVO NUMBER(1) 
, CONSTRAINT MACON_PK PRIMARY KEY 
  (
    MACON_ID 
  )
  ENABLE 
)';
  exception when object_exists then null;
end;
/


